## net.sf.antcontrib.antserver.commands
Class AbstractCommand

    java.lang.Object
      net.sf.antcontrib.antserver.commands.AbstractCommand

All Implemented Interfaces:
  java.io.Serializable, Command

Direct Known Subclasses:
  DisconnectCommand, HelloWorldCommand, RunAntCommand, RunTargetCommand, SendFileCommand, ShutdownCommand

    public abstract class AbstractCommand

extends java.lang.Object
implements Command

Place class description here.

Author:
  Matthew Inger
See Also:
  Serialized Form

Constructor Summary
`AbstractCommand()`

Method Summary
`long` `getContentLength()` Is there additional content being sent from the local machine to the remote server
`java.io.InputStream` `getContentStream()` Gets the content's input stream.
`java.io.InputStream` `getReponseContentStream()`
`long` `getResponseContentLength()`
`boolean` `respond(org.apache.tools.ant.Project project, long contentLength, java.io.InputStream contentStream)` Process any additional data from a response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.antcontrib.antserver.Command
`execute, validate`

Constructor Detail

### AbstractCommand

    public AbstractCommand()

Method Detail

### getContentLength

    public long getContentLength()

  Description copied from interface: `Command`
  Is there additional content being sent from the local machine to the remote server

  Specified by:
    `getContentLength` in interface `Command`

### getContentStream

    public java.io.InputStream getContentStream()
                                         throws java.io.IOException

  Description copied from interface: `Command`
  Gets the content's input stream. Should be called only on the client side for sending the content over the connection

  Specified by:
    `getContentStream` in interface `Command`
  Returns:
    the content's input stream.
  Throws:
    `java.io.IOException`

### getResponseContentLength

    public long getResponseContentLength()

  Specified by:
    `getResponseContentLength` in interface `Command`

### getReponseContentStream

    public java.io.InputStream getReponseContentStream()
                                                throws java.io.IOException

  Specified by:
    `getReponseContentStream` in interface `Command`
  Throws:
    `java.io.IOException`

### respond

    public boolean respond(org.apache.tools.ant.Project project,
                           long contentLength,
                           java.io.InputStream contentStream)
                    throws java.io.IOException

  Description copied from interface: `Command`
  Process any additional data from a response.

  Specified by:
    `respond` in interface `Command`
  Throws:
    `java.io.IOException`